Bug 1081559 - perl-YAML-LibYAML bundles yaml-1.0.4
Summary: perl-YAML-LibYAML bundles yaml-1.0.4
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-YAML-LibYAML
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-27 14:52 UTC by Petr Pisar
Modified: 2018-05-03 09:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 09:08:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 498203 None CLOSED Review Request: perl-YAML-LibYAML - YAML::LibYAML Perl module 2019-06-12 07:18:54 UTC

Internal Links: 498203

Description Petr Pisar 2014-03-27 14:52:29 UTC
perl-YAML-LibYAML bundles yaml sources. yaml-1.0.4 with two small modifications in emmiter.c and scanner.c.

Comment 1 Jaroslav Reznik 2015-03-03 15:38:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 19:01:35 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Petr Pisar 2016-07-20 05:34:43 UTC
Still issue in F23 (perl-YAML-LibYAML-0.59-3.fc23).

Comment 4 Parag AN(पराग) 2016-07-20 05:39:06 UTC
Can you confirm this issues is not in F24+ releases?

Comment 5 Petr Pisar 2016-07-20 05:43:00 UTC
This issue is everywhere.

Comment 6 Paul Howarth 2016-07-20 08:57:32 UTC
Jitka made a start on this in commit 5746ee9e421cd14f265262cda638bb1b8d9f62d8 for the 0.44 version bump, bringing in build dependencies of libyaml and libyaml-devel; was there some issue with completing the unbundling?

Comment 7 Petr Pisar 2016-07-20 10:36:08 UTC
When I looked at this packages few years ago, the issue was that the bundled copy was modified, so it wasn't possible to unbundle. I don't know what's the current status.

Comment 8 Jitka Plesnikova 2016-07-20 11:01:37 UTC
The modified bundled copy is still needed for build.

Comment 9 Fedora End Of Life 2016-11-24 11:08:34 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-02-28 09:36:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 Fedora End Of Life 2018-05-03 08:10:46 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Paul Howarth 2018-05-03 08:28:56 UTC
perl-YAML-LibYAML has the bundled provide:

Provides:       bundled(libyaml) = 0.1.7

Do we need to keep this bug open to track it, or can it be closed now?

Comment 13 Petr Pisar 2018-05-03 09:08:02 UTC
I wanted to unbundle it. Because it's not possible, we can close this bug report.


Note You need to log in before you can comment on or make changes to this bug.